> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get debug daily status information

> Returns detailed daily status information for debugging purposes. This is a debugging endpoint.



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /debug/dailyStatus
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /debug/dailyStatus:
    get:
      tags:
        - debug
      summary: Get debug daily status information
      description: >-
        Returns detailed daily status information for debugging purposes. This
        is a debugging endpoint.
      parameters:
        - name: data
          in: query
          description: Data line to analyze for status
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Debug daily status information
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
        statusMessage:
          type: string
          description: HTTP status message
      example:
        error: Location not found
        statusCode: 404
        statusMessage: Not Found

````